Bug 1698984 - Duplicated locale name "Català (Espanya)" for locale selection in install dialog
Summary: Duplicated locale name "Català (Espanya)" for locale selection in install dialog
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: langtable
Version: 30
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Mike FABIAN
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-11 14:27 UTC by Robert Antoni Buj Gelonch
Modified: 2019-06-04 07:23 UTC (History)
10 users (show)

Fixed In Version: langtable-0.0.42-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-27 21:24:58 UTC


Attachments (Terms of Use)
Screenshot of Catalan locale selection in installation process (99.74 KB, image/png)
2019-04-11 14:27 UTC, Robert Antoni Buj Gelonch
no flags Details

Description Robert Antoni Buj Gelonch 2019-04-11 14:27:51 UTC
Created attachment 1554580 [details]
Screenshot of Catalan locale selection in installation process

Description of problem:
Can't select the correct locale for Catalan as they are two locales with the same name "Català (Espanya)". I think that they are "Català (Espanya)" (ca_ES, ca_ES.utf8) and "Valencià (Espanya)" (ca_ES@valencia, ca_ES.utf8@valencia)

Steps to Reproduce:
1. Boot the system using Fedora-Workstation-Live-x86_64-30_Beta-1.8.iso
2. Click on right pane "Install to Hard Drive"
3. Select Català on left pane

Actual results:
"Català (Espanya)" is displayed twice on right pane after selecting "Català" on left pane.

Expected results:
Show "Català (Espanya)" and "Valencià (Espanya)" on right pane after selecting "Català" on left pane.

Comment 1 Vendula Poncova 2019-04-12 10:51:31 UTC
This content is provided by langtable. Reassigning.

Comment 2 Fedora Update System 2019-04-15 14:46:11 UTC
langtable-0.0.42-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-88c71b6f70

Comment 3 Fedora Update System 2019-04-16 01:35:31 UTC
langtable-0.0.42-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-88c71b6f70

Comment 4 Fedora Update System 2019-04-27 21:24:58 UTC
langtable-0.0.42-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Mike FABIAN 2019-04-29 18:04:55 UTC
The problem still seems to exist in Fedora-Workstation-netinst-x86_64-30-1.2.iso,
even though after installing that I see that langtable-0.0.42-1.fc30 is installed  ... 🤔

Comment 6 Martin Kolman 2019-04-29 18:49:10 UTC
(In reply to Mike FABIAN from comment #5)
> The problem still seems to exist in
> Fedora-Workstation-netinst-x86_64-30-1.2.iso,
> even though after installing that I see that langtable-0.0.42-1.fc30 is
> installed  ... 🤔
Fedora netinst generally installs the lates packages available, so you might be getting the updated package on the target system while the installation image was build using the old package. To verify image content, you can switch to TTY2 during the installation to get a root shell. 

From there you can check /root/lorax-packages.log for the list of packages used to build the installation image you are running. Also if possible you can check the files on the image itself to see if they are as expected. :)

Comment 7 Mike FABIAN 2019-04-30 12:47:57 UTC
(In reply to Martin Kolman from comment #6)
> (In reply to Mike FABIAN from comment #5)
> > The problem still seems to exist in
> > Fedora-Workstation-netinst-x86_64-30-1.2.iso,
> > even though after installing that I see that langtable-0.0.42-1.fc30 is
> > installed  ... 🤔
> Fedora netinst generally installs the lates packages available, so you might
> be getting the updated package on the target system while the installation
> image was build using the old package. To verify image content, you can
> switch to TTY2 during the installation to get a root shell. 
> 
> From there you can check /root/lorax-packages.log for the list of packages
> used to build the installation image you are running. Also if possible you
> can check the files on the image itself to see if they are as expected. :)

Thank you, in /root/lorax-packages.log I still see langtable-0.0.41-2.fc30.

So probably the next update will fix it!

Comment 8 Tomi Leppikangas 2019-05-29 18:06:51 UTC
When running "yum update langtable", missing depency:

 Problem: problem with installed package python2-langtable-0.0.41-2.fc30.noarch
  - package python2-langtable-0.0.41-2.fc30.noarch requires langtable = 0.0.41-2.fc30, but none of the providers can be installed
  - cannot install both langtable-0.0.43-1.fc30.noarch and langtable-0.0.41-2.fc30.noarch
  - cannot install both langtable-0.0.41-2.fc30.noarch and langtable-0.0.43-1.fc30.noarch
  - cannot install the best update candidate for package langtable-0.0.41-2.fc30.noarch

When comparing builds:
https://koji.fedoraproject.org/koji/buildinfo?buildID=1190656
https://koji.fedoraproject.org/koji/buildinfo?buildID=1250089

there is python2-langtable rpm missing.
Maybe related to  bug 1686395

Comment 9 Mike FABIAN 2019-06-04 07:23:56 UTC
Yes, the python2-langtable package has been removed. It is not needed anymore, anaconda uses python3-langtable.


Note You need to log in before you can comment on or make changes to this bug.